/**
 * 在生产环境 代理是无法生效的，所以这里没有生产环境的配置
 * -------------------------------
 * The agent cannot take effect in the production environment
 * so there is no configuration of the production environment
 * For details, please see
 * https://pro.ant.design/docs/deploy
 */
export default {
  dev: {
    // localhost:8000/api/** -> https://preview.pro.ant.design/api/**
    '/sgadmin/duoduo-service': {
      target: 'https://duoduoenv.sagacloud.cn/',
      // target: 'http://192.168.12.13:52011/',
      changeOrigin: true,
      pathRewrite: {
        '^/sgadmin/duoduo-service': '/duoduo-service',
      },
    },
  },

  test: {
    '/api/': {
      target: 'http://192.168.0.14:52015/',
      changeOrigin: true,
      pathRewrite: { '^/api': '' },
    },
  },
  pre: {
    '/api/': {
      target: 'your pre url',
      changeOrigin: true,
      pathRewrite: { '^/api': '' },
    },
  },
};
