import React, { useState, useCallback } from 'react';

export default function () {
  const allFunc = {
    office: ['140', '311'],
    work: ['314', '313', '315', '921', '922', '923', '924', '925', '926'],
    meeting: ['321', '322', '323'],
    rest: ['170', '331', '931', '932', '933', '934', '935', '936', '937', '938'], //休闲
    device: [
      '211',
      '212',
      '221',
      '222',
      '223',
      '231',
      '232',
      '233',
      '234',
      '235',
      '236',
      '237',
      '241',
      '242',
      '243',
      '244',
      '245',
      '251',
      '252',
      '253',
      '254',
    ], //设备
    washroom: ['111', '112'], //卫生间
    lift: ['130'], //电梯
    stair: ['140'], //楼梯
    dining: ['441', '442', '443', '451', '452', '453', '461', '462', '471', '472'], //用餐
  };
  //获取房间类型 来显示相应的图片
  const getSpaceFunc = useCallback((spaceCode: any) => {
    for (var key in allFunc) {
      var codeArr = allFunc[key];
      if (codeArr.indexOf(spaceCode) > -1) {
        return key;
      }
    }
  }, []);
  const projectId = 'Pj1101080259';
  //const projectId = 'Pj3301100002';
  return {
    getSpaceFunc,
    projectId,
  };
}
